Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.ClientConnectionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnection`, `ClientWireProtocol.ClientConnection.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClientConnectionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getClientid()` `string clientid = 3;`
`com.google.protobuf.ByteString` `getClientidBytes()` `string clientid = 3;`
`String` `getDatabase()` `string database = 2;`
`com.google.protobuf.ByteString` `getDatabaseBytes()` `string database = 2;`
`String` `getUserid()` `string userid = 1;`
`com.google.protobuf.ByteString` `getUseridBytes()` `string userid = 1;`
`String` `getVersion()` `string version = 4;`
`com.google.protobuf.ByteString` `getVersionBytes()` `string version = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getUserid

    String getUserid()

`string userid = 1;`

Returns:
  The userid.

#### getUseridBytes

    com.google.protobuf.ByteString getUseridBytes()

`string userid = 1;`

Returns:
  The bytes for userid.

#### getDatabase

    String getDatabase()

`string database = 2;`

Returns:
  The database.

#### getDatabaseBytes

    com.google.protobuf.ByteString getDatabaseBytes()

`string database = 2;`

Returns:
  The bytes for database.

#### getClientid

    String getClientid()

`string clientid = 3;`

Returns:
  The clientid.

#### getClientidBytes

    com.google.protobuf.ByteString getClientidBytes()

`string clientid = 3;`

Returns:
  The bytes for clientid.

#### getVersion

    String getVersion()

`string version = 4;`

Returns:
  The version.

#### getVersionBytes

    com.google.protobuf.ByteString getVersionBytes()

`string version = 4;`

Returns:
  The bytes for version.